// created by KKAZEM Mon Mar 20 20:41:24 US/Pacific 2000

import com.apple.yellow.foundation.*;
import com.apple.yellow.webobjects.*;
import com.apple.yellow.eocontrol.*;
import com.apple.yellow.eoaccess.*;

public class DynamicWrapper extends WOComponent {

    protected String wrapperComponent;

    public boolean synchronizesVariablesWithBindings() {
            return false;
    }

    public String compWrapper() {

        //  first look in the sesion
        //
        wrapperComponent = (String) session().objectForKey
            ( parent().name() + "Wrapper" );

        //  else check for a binding in the URL
        //
        if ( wrapperComponent == null ) {
            wrapperComponent = (String) context().request().formValueForKey
                ( "wrapper" );
        }

        //  else check for a "GlobalWrapper"
        //
        if ( wrapperComponent == null ) {
            wrapperComponent = (String) session().objectForKey
                ( "GlobalWrapper" );
        }

        // else check for a binding
        //
        if ( wrapperComponent == null ) {
            wrapperComponent = (String) valueForBinding
                ( "wrapperComponent" );
        }

        //  if nothing found, use default
        //
        if ( wrapperComponent == null ) {
            wrapperComponent = "DefaultWrapper";
        }

        return wrapperComponent;
    }
}
